
TYPO3.TYPO3CR - Bug # 52646

Status: Resolved Priority: Must have
Author: Aske Ertmann Category: Node handling
Created: 2013-10-09 Assigned To: Aske Ertmann
Updated: 2013-10-10 Due date:
Subject: Copying a node into itself causes an endless loop
Description

If a node is copied into itself the node gets copied recursively in an endless loop when trying to copy child nodes into the copied node

Associated revisions
Revision 239fd960 - 2013-10-10 18:54 - Aske Ertmann

[BUGFIX] Copying a node into itself causes an endless loop

If a node is copied into itself the node gets copied
recursively in an endless loop when trying to copy
child nodes into the copied node

Change-Id: I451f457b68e426c2432807f2a4c7f4fba217155c
Fixes: #52646
Reviewed-on: https://review.typo3.org/24509
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Mattias Nilsson
Tested-by: Mattias Nilsson
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst

History
#1 - 2013-10-09 22:29 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24509

#2 - 2013-10-10 19:35 - Aske Ertmann
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:239fd960e3aa0e81c65b2329b99c1a41062abf36.
